# Tests

## Prérequis de l'environnement de test

- Docker >= 20.10

```sh
pip install -U -r requirements/testing.txt
```

## Initialisation de la base de données de tests

```bash
docker-compose -f tests/dev/docker-compose.dev.yml up -d
POSTGRES_HOST=localhost PORT=5555 POSTGRES_DB=ign POSTGRES_USER=ign POSTGRES_PASSWORD=ign_password gpf-sql-utils execute spatial_ref_sys_bounds
POSTGRES_HOST=localhost PORT=5555 POSTGRES_DB=ign POSTGRES_USER=ign POSTGRES_PASSWORD=ign_password gpf-sql-utils execute compute_gpf_extent
```

Mot de passe de l'utilisateur `ign` : `ign_password`

## Exécution

```bash
pytest
```
